> For the complete documentation index, see [llms.txt](https://docs.mav.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mav.xyz/technical-reference/maverick-v2/v2-contracts/maverick-v2-supplemental-contracts/positionbase/inft.md).

# INft

**Inherits:** IERC721Enumerable

### Functions <a href="#functions" id="functions"></a>

#### tokenOfOwnerByIndexExists <a href="#tokenofownerbyindexexists" id="tokenofownerbyindexexists"></a>

Check if an NFT exists for a given owner and index.

```solidity
function tokenOfOwnerByIndexExists(address owner, uint256 index) external view returns (bool);
```

#### checkAuthorized <a href="#checkauthorized" id="checkauthorized"></a>

Check if the caller has access to a specific NFT by tokenId.

```solidity
function checkAuthorized(address spender, uint256 tokenId) external view returns (address owner);
```

#### tokenIdsOfOwner <a href="#tokenidsofowner" id="tokenidsofowner"></a>

List of tokenIds by owner.

```solidity
function tokenIdsOfOwner(address owner) external view returns (uint256[] memory tokenIds);
```

#### tokenURI <a href="#tokenuri" id="tokenuri"></a>

Get the token URI for a given tokenId.

```solidity
function tokenURI(uint256 tokenId) external view returns (string memory);
```

#### name <a href="#name" id="name"></a>

```solidity
function name() external view returns (string memory);
```

#### symbol <a href="#symbol" id="symbol"></a>

```solidity
function symbol() external view returns (string memory);
```

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mav.xyz/technical-reference/maverick-v2/v2-contracts/maverick-v2-supplemental-contracts/positionbase/inft.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
